Bug 1553626 - Upgrade from f26 to Rawhide, dnf.log reports missing RPM-GPG-KEY-fedora-29-ppc64le
Summary: Upgrade from f26 to Rawhide, dnf.log reports missing RPM-GPG-KEY-fedora-29-pp...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: rawhide
Hardware: powerpc
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker
TreeView+ depends on / blocked
 
Reported: 2018-03-09 08:28 UTC by Michel Normand
Modified: 2018-04-05 15:01 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-04-05 15:01:15 UTC


Attachments (Terms of Use)
dnf.log (285.87 KB, text/plain)
2018-03-09 08:28 UTC, Michel Normand
no flags Details

Description Michel Normand 2018-03-09 08:28:35 UTC
Created attachment 1406176 [details]
dnf.log

Upgrade from f26 to Rawhide, dnf.log reports missing RPM-GPG-KEY-fedora-29-ppc64le

openQA test with Rawhide compose 20180303 for ppc64 or ppc64le

The attached dnf.log is reporting
== extract dnf.log
2018-03-09T05:37:23Z SUBDEBUG 
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnf/util.py", line 94, in _urlopen
    librepo.download_url(url, fo.fileno(), handle)
  File "/usr/lib64/python3.6/site-packages/librepo/__init__.py", line 1628, in download_url
    return _librepo.download_url(handle, url, fd)
librepo.LibrepoException: (8, "Curl error (37): Couldn't read a file:// file for file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-29-ppc64le [Couldn't open file /etc/pki/rpm-gpg/RPM-GPG-KEY-fedora-29-ppc64le]", 'An Curl handle error')
===

Note that no failure for upgrade from f27 to Rawhide.

Comment 1 Kevin Fenzi 2018-03-10 00:28:09 UTC
Yeah, this seems messed up in the current fedora-repos-26-3. 

It only has the f29 primary key (which also is the ppc64le one, but normally there is a link to it). 

Moving to fedora-repos for fixing.

Comment 2 Fedora Update System 2018-04-02 21:16:07 UTC
fedora-repos-26-4 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb3a072efc

Comment 3 Fedora Update System 2018-04-03 15:25:17 UTC
fedora-repos-26-4 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fb3a072efc

Comment 4 Fedora Update System 2018-04-05 15:01:15 UTC
fedora-repos-26-4 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.